#!/bin/bash
####################################################################
# vBulletin 3.0.3 - Licence Number 239149d8
# ---------------------------------------------------------------- #
# Copyright ©2000–2004 Jelsoft Enterprises Ltd. All Rights Reserved.
# This file may not be redistributed in whole or significant part. #
# ---------------- VBULLETIN IS NOT FREE SOFTWARE ---------------- #
# http://www.vbulletin.com | http://www.vbulletin.com/license.html #
####################################################################

# Geben Sie hier den Pfad zu Ihrer config.php an
path_to_config="/home/example/htdocs/includes/config.php"

# Wenn Sie den vollständigen Pfad zu mysqldump oder gzip angeben müssen, können Sie das hier tun
mysqldumpcmd=mysqldump
gzipcmd=gzip

################# AB HIER NICHTS MEHR ÄNDERN! #################

if [ ! -e "$path_to_config" ]
then
	echo "$path_to_config existiert nicht"
	exit 1
fi

servername=`sed -n '/servername/p' $path_to_config`
dbusername=`sed -n '/dbusername/p' $path_to_config`
dbpassword=`sed -n '/dbpassword/p' $path_to_config`
dbname=`sed -n '/dbname/p' $path_to_config`

# get the stuff between the string
servername=${servername#*\'*}
servername=${servername%*\'*}

dbusername=${dbusername#*\'*}
dbusername=${dbusername%*\'*}

dbpassword=${dbpassword#*\'*}
dbpassword=${dbpassword%*\'*}

dbname=${dbname#*\'*}
dbname=${dbname%*\'*}

date=`date "+%d-%m-%y"`
database="${dbname}-${date}.sql"

case "$1" in
	backup)
		if [ -n "$dbpassword" ]
		then
			passwordinfo=-p$dbpassword
		fi
		$mysqldumpcmd -h$servername -u$dbusername $passwordinfo --add-drop-table --add-locks --all --extended-insert --quick --compress $dbname > $database
		$gzipcmd $database
	;;
          
	*)
		echo "vb_backup.sh: vBulletin 3 Datenbank-Backup-Skript."
		echo "Bitte benutzen Sie den folgenden Befehl, um ein Backup Ihrer vBulletin Datenbank zu erstellen:"
		echo "./vb_backup.sh backup"
	;;
esac
exit 0